=== include/Makefile ===
#
# Makefile for the various includes
#
TOPDIR=..
SUBDIRS=

all: autogen

autogen: socklistm4.h

include $(TOPDIR)/makerules
