=== libs/Makefile ===
#
# Makefile for the various libraries
#
TOPDIR=..
SUBDIRS=$(filter-out libTT, $(wildcard lib*))

all: subdirs

# library dependencies:
dir-libTw: dir-libTutf

dir-libTT: dir-libTw



include $(TOPDIR)/makerules
