=== debian/control ===
Source: twin
Section: misc
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxft-dev,
               libncurses-dev,
               libltdl-dev,
               zlib1g-dev,
               libgpm-dev
Standards-Version: 4.5.1
Homepage: https://github.com/cosmos72/twin
Vcs-Browser: https://github.com/cosmos72/twin
Vcs-Git: https://github.com/cosmos72/twin
Rules-Requires-Root: no

Package: twin
Architecture: amd64 arm64 ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Twin - a Textmode WINdow environment
 Twin is a windowing environment with mouse support, window manager,
 terminal emulator and networked clients, all inside a text display.
 It supports a variety of displays:
 .
 - plain text terminals (any termcap/ncurses compatible terminal,
   Linux console, twin's own terminal emulator);
 - X11, where it can be used as a multi-window xterm;
 - itself (you can display a twin on another twin);
 - twdisplay, a general network-transparent display client,
   used to attach/detach more displays on-the-fly.
