=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/twin-$1\.tar\.gz/ \
  https://github.com/cosmos72/twin/tags .*/v?(\d\S*)\.tar\.gz
