## twin 0.9.0+git251119

=== debian/changelog ===
twin (0.9.0+git251119-0ubuntu1) resolute; urgency=medium

  * New git snapshot 0.9.0+251119
  * d/copyright: bump copyright dates
  * d/control: bump standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 14 Dec 2025 09:00:15 -0800
