## twin 1.0.0

=== debian/changelog ===
twin (1.0.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 1.0.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 03 Jan 2026 11:19:21 -0800
