=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libltdl-dev,
                zlib1g-dev,
                libgpm-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/cosmos72/twin
 Vcs-Browser: https://github.com/cosmos72/twin
 Vcs-Git: https://github.com/cosmos72/twin
